#include <stdio.h>
#include <string.h>
main()
{
char cenzura[10];
char N[200000];
gets(N);
gets(cenzura);
if (strlen(N)<1||strlen(N)>200000)
{
    return 0;
}
if (strlen(cenzura)<1||strlen(cenzura)>10)
{
    return 0;
}
const int apsolutna=strlen(N);
char rec[apsolutna];
int a[1000];
int brojac=0,n,broj;
strcpy(rec,N);
int i,j;
for(j=0;N[j];j++);
    broj=n=j;
for(i=0;i<n;i++)
{
    a[i]=n;
    brojac=1;
    if(N[i])
    {
     for(j=i+1;j<n;j++)
    {
        if(N[i]==N[j])
        {
            brojac++;
            N[j]='\0';
        }
    }
    a[i]=brojac;
    if(brojac<=broj)
        broj=brojac;

    }
}
for(j=0;j<n;j++)
{
    if(a[j]==broj)
    {
        rec[j]='*';
    }
}
if(strstr(rec,cenzura)==0)
{
    printf("%d\n",broj);
    puts(rec);
}
else
{
    printf("greska\n");
}
}